Bug 1221391 - IPv6 disabled by default when nm-applet creates a new WWAN connection
Summary: IPv6 disabled by default when nm-applet creates a new WWAN connection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: network-manager-applet
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-13 23:32 UTC by Tore Anderson
Modified: 2015-10-04 22:52 UTC (History)
2 users (show)

Fixed In Version: network-manager-applet-1.0.6-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-04 22:52:39 UTC


Attachments (Terms of Use)

Description Tore Anderson 2015-05-13 23:32:57 UTC
Description of problem:

When creating a new WWAN connection using the "New Mobile Broadband connection..." menu choice in the systray applet, the newly created connection profile has the IPv6 method set to "ignore". This obviously breaks IPv6 connectivity.

Version-Release number of selected component (if applicable):

network-manager-applet-1.0.0-1.fc22.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Ensure you don't have any pre-existing WWAN connection profiles (otherwise the "New Mobile Broadband connection..." menu entry isn't shown)
2. Plug in a modem with working SIM card
3. Ensure Mobile Broadband is enabled
4. Select the "New Mobile Broadband connection..." entry in nm-applet's systray menu
5. Complete the wizard

Actual results:

The resulting new connection profile config file in /etc/NetworkManager/system-connections/ contains:

[ipv6]
method=ignore

Expected results:

The file should have contained:

[ipv6]
method=auto

Additional info:

If you instead create the new WWAN connection using nm-connection-editor (which also is invoked if you select "Edit Connections..." entry in nm-applet's systray menu), the IPv6 method is set to "auto" by default, and IPv6 works fine by default (assuming the operator supports it). The same is true if you create it from the command line using for example "nmcli con add ifname '*' type gsm apn internet".

Comment 1 Tore Anderson 2015-05-14 08:58:44 UTC
FWIW, this issue persists in network-manager-applet-1.0.2-1.fc22.x86_64.

Comment 2 Dan Williams 2015-06-29 15:51:53 UTC
Tore, does dcbw/wwan-ipv6-default from applet git work for you?  The patches should be able to be cherry-picked to nma-1-0 too.

Comment 3 Fedora Update System 2015-07-07 16:49:09 UTC
NetworkManager-1.0.4-0.3.git20150707.e3bd4e1.fc22, network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/NetworkManager-1.0.4-0.3.git20150707.e3bd4e1.fc22,network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22

Comment 4 Fedora Update System 2015-07-10 19:07:17 UTC
Package NetworkManager-1.0.4-0.3.git20150707.e3bd4e1.fc22, network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-1.0.4-0.3.git20150707.e3bd4e1.fc22 network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/NetworkManager-1.0.4-0.3.git20150707.e3bd4e1.fc22,network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-07-14 15:45:07 UTC
Package NetworkManager-1.0.4-0.4.git20150713.38bf2cb0.fc22, network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-1.0.4-0.4.git20150713.38bf2cb0.fc22 network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/NetworkManager-1.0.4-0.4.git20150713.38bf2cb0.fc22,network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-07-18 02:10:06 UTC
Package network-manager-applet-1.0.4-2.fc22, NetworkManager-1.0.4-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing network-manager-applet-1.0.4-2.fc22 NetworkManager-1.0.4-1.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/NetworkManager-1.0.4-1.fc22,network-manager-applet-1.0.4-2.fc22
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-07-29 01:58:31 UTC
Package network-manager-applet-1.0.4-2.fc22, NetworkManager-1.0.4-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing network-manager-applet-1.0.4-2.fc22 NetworkManager-1.0.4-2.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/NetworkManager-1.0.4-2.fc22,network-manager-applet-1.0.4-2.fc22
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-08-15 02:19:05 UTC
Package network-manager-applet-1.0.4-2.fc22, NetworkManager-1.0.6-0.1.20150813git7e2caa2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing network-manager-applet-1.0.4-2.fc22 NetworkManager-1.0.6-0.1.20150813git7e2caa2.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/NetworkManager-1.0.6-0.1.20150813git7e2caa2.fc22,network-manager-applet-1.0.4-2.fc22
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2015-08-19 08:08:14 UTC
Package network-manager-applet-1.0.4-2.fc22, NetworkManager-1.0.6-0.2.20150813git7e2caa2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing network-manager-applet-1.0.4-2.fc22 NetworkManager-1.0.6-0.2.20150813git7e2caa2.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/NetworkManager-1.0.6-0.2.20150813git7e2caa2.fc22,network-manager-applet-1.0.4-2.fc22
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2015-08-22 02:52:21 UTC
NetworkManager-1.0.6-0.2.20150813git7e2caa2.fc22, network-manager-applet-1.0.4-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update NetworkManager network-manager-applet'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-10143

Comment 11 Fedora Update System 2015-08-23 01:49:25 UTC
NetworkManager-1.0.6-0.2.20150813git7e2caa2.fc22, network-manager-applet-1.0.4-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update network-manager-applet NetworkManager'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-10143

Comment 12 Fedora Update System 2015-09-02 16:21:57 UTC
NetworkManager-1.0.6-2.fc22, NetworkManager-openswan-1.0.6-2.fc22, NetworkManager-openvpn-1.0.6-3.fc22, NetworkManager-vpnc-1.0.6-3.fc22, network-manager-applet-1.0.6-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update network-manager-applet NetworkManager-openvpn NetworkManager-vpnc NetworkManager NetworkManager-openswan'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-10143

Comment 13 Fedora Update System 2015-09-08 11:15:02 UTC
NetworkManager-1.0.6-3.fc22 NetworkManager-openswan-1.0.6-2.fc22 NetworkManager-openvpn-1.0.6-3.fc22 NetworkManager-vpnc-1.0.6-3.fc22 network-manager-applet-1.0.6-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-10143

Comment 14 Fedora Update System 2015-09-08 21:26:40 UTC
NetworkManager-1.0.6-4.fc22, NetworkManager-openswan-1.0.6-2.fc22, NetworkManager-openvpn-1.0.6-3.fc22, NetworkManager-vpnc-1.0.6-3.fc22, network-manager-applet-1.0.6-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update network-manager-applet NetworkManager NetworkManager-openvpn NetworkManager-openswan NetworkManager-vpnc'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-10143

Comment 15 Fedora Update System 2015-09-28 21:00:43 UTC
NetworkManager-1.0.6-6.fc22 NetworkManager-openswan-1.0.6-2.fc22 NetworkManager-openvpn-1.0.6-3.fc22 NetworkManager-vpnc-1.0.6-3.fc22 network-manager-applet-1.0.6-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-10143

Comment 16 Fedora Update System 2015-10-02 03:49:23 UTC
NetworkManager-1.0.6-6.fc22, NetworkManager-openswan-1.0.6-2.fc22, NetworkManager-openvpn-1.0.6-3.fc22, NetworkManager-vpnc-1.0.6-3.fc22, network-manager-applet-1.0.6-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update NetworkManager-openswan network-manager-applet NetworkManager NetworkManager-openvpn NetworkManager-vpnc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-10143

Comment 17 Fedora Update System 2015-10-04 22:52:08 UTC
NetworkManager-1.0.6-6.fc22, NetworkManager-openswan-1.0.6-2.fc22, NetworkManager-openvpn-1.0.6-3.fc22, NetworkManager-vpnc-1.0.6-3.fc22, network-manager-applet-1.0.6-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.